[package]
name = "mhy-kcp"
version.workspace = true
edition = "2021"

[features]
fastack-conserve = []
tokio = ["dep:tokio"]

[dependencies]
bytes.workspace = true
log = "0.4.21"
thiserror = "1.0.58"
tokio = { version = "1.37.0", optional = true, features = ["io-util"] }
xxhash-rust = { version = "0.8.10", features = ["xxh3"] }

[dev-dependencies]
time = "0.3.34"
rand = "0.8.5"
env_logger = "0.11.3"

